GDB (xrefs)

Public Attributes | List of all members
setup_sections_data Struct Reference

## Public Attributes
CORE_ADDR | last_size
asection * | last_section_first
unsigned | last_prot
CORE_ADDR | last_max_alignment
struct munmap_list ** | munmap_list_headp

## Detailed Description

Definition at line 90 of file compile-object-load.c.

## Member Data Documentation

## ◆ last_max_alignment

CORE_ADDR setup_sections_data::last_max_alignment

Definition at line 103 of file compile-object-load.c.

Referenced by compile_object_load(), and setup_sections().

## ◆ last_prot

unsigned setup_sections_data::last_prot

Definition at line 99 of file compile-object-load.c.

Referenced by compile_object_load(), and setup_sections().

## ◆ last_section_first

asection* setup_sections_data::last_section_first

Definition at line 96 of file compile-object-load.c.

Referenced by compile_object_load(), and setup_sections().

## ◆ last_size

CORE_ADDR setup_sections_data::last_size

Definition at line 93 of file compile-object-load.c.

Referenced by compile_object_load(), and setup_sections().

## ◆ munmap_list_headp

struct munmap_list** setup_sections_data::munmap_list_headp

Definition at line 107 of file compile-object-load.c.

Referenced by compile_object_load(), and setup_sections().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/compile/compile-object-load.c